Get Patient Gfes
curl --request GET \
--url https://api.decodahealth.com/spakinect/gfe/patient/{patient_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/spakinect/gfe/patient/{patient_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/spakinect/gfe/patient/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"patientId": "<string>",
"spakinectGfeId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"requestedTreatments": [
"<string>"
],
"patientDetails": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"updatedDate": "2023-11-07T05:31:56Z",
"document": {
"id": "<string>",
"patientId": "<string>",
"filePath": "<string>",
"fileType": "<string>",
"title": "<string>",
"summary": "<string>",
"signatureUrl": "<string>"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Spakinect
Get Patient Gfes
Get all Good Faith Exam records for a patient.
Fetches GFE records from the database and enriches them with current status information from SpaKinect API.
GET
/
spakinect
/
gfe
/
patient
/
{patient_id}
Get Patient Gfes
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Status values for Good Faith Exam visits from SpaKinect API
Available options:
Processing, Pending Review, Approved, Rejected, Completed, Cancelled, Cancelled by client Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
